Bug 35797 - error in log message of xntp3
error in log message of xntp3
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: ntp (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-12 05:55 EDT by bareket
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-29 05:48:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch solving the bug (640 bytes, patch)
2001-05-11 07:11 EDT, Harald Hoyer
no flags Details | Diff

  None (edit)
Description bareket 2001-04-12 05:55:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Hi,
There is an incorrect counting of "fails" field (%m instead of a number) in the log message, when 
starting the xntp3, in the following line:
xntpd[31376]: bind() fd 10, family 2, port 123, addr e0000101, in_classd=1 flags=0 fails: %m
This happened when updating to the new rpm xntp3-5.93-15 in the Red-Hat Erreta.


Reproducible: Always
Steps to Reproduce:
1.rpm -Fvh xntp3-5.93-15
2./etc/rc.d/init.d/xntpd restart
3.look in the messages log to see the line: xntpd[31376]: bind() fd 10, family 2, port 123, addr 
e0000101, in_classd=1 flags=0 fails: %m
	

Actual Results:  i got the line "xntpd[31376]: bind() fd 10, family 2, port 123, addr e0000101, 
in_classd=1 flags=0 fails: %m" in the messages log. It contains incorrect number in th e"fails" 
field.

Expected Results:  There should have been a real number in the "fails" field of this message.

I'm using kernel 2.2.18 on i686
Comment 1 Harald Hoyer 2001-05-11 07:11:55 EDT
Created attachment 18128 [details]
patch solving the bug

Note You need to log in before you can comment on or make changes to this bug.